LOCAL_PATH:= $(call my-dir)

include $(CLEAR_VARS)

LOCAL_MODULE := libbroadvoice
LOCAL_MODULE_TAGS := optional
LOCAL_PROPRIETARY_MODULE := true
LOCAL_MODULE_OWNER := mtk
LOCAL_MODULE_CLASS := SHARED_LIBRARIES

LOCAL_CFLAGS += \
	-fvisibility=hidden \
	-DBROADVOICE_USE_EXPORT_CAPABILITY=1

LOCAL_C_INCLUDES := \
	$(LOCAL_PATH)/broadvoice/src \
	$(LOCAL_PATH)/broadvoice/src/floating/common \
	$(LOCAL_PATH)/broadvoice/src/floating/bv16 \
	$(LOCAL_PATH)/broadvoice/src/floating/bv32

LOCAL_SRC_FILES := \
	broadvoice/src/bitstream.c \
	broadvoice/src/floating/common/a2lsp.c \
	broadvoice/src/floating/common/allpole.c \
	broadvoice/src/floating/common/allzero.c \
	broadvoice/src/floating/common/autocor.c \
	broadvoice/src/floating/common/cmtables.c \
	broadvoice/src/floating/common/levdur.c \
	broadvoice/src/floating/common/lsp2a.c \
	broadvoice/src/floating/common/stblchck.c \
	broadvoice/src/floating/common/stblzlsp.c \
	broadvoice/src/floating/common/utility.c \
	broadvoice/src/bitpack16.c \
	broadvoice/src/floating/bv16/bv16decoder.c \
	broadvoice/src/floating/bv16/bv16encoder.c \
	broadvoice/src/floating/bv16/bv16coarse_pitch.c \
	broadvoice/src/floating/bv16/bv16excdec.c \
	broadvoice/src/floating/bv16/bv16excquan.c \
	broadvoice/src/floating/bv16/bv16fine_pitch.c \
	broadvoice/src/floating/bv16/bv16gaindec.c \
	broadvoice/src/floating/bv16/bv16gainquan.c \
	broadvoice/src/floating/bv16/bv16levelest.c \
	broadvoice/src/floating/bv16/bv16lspdec.c \
	broadvoice/src/floating/bv16/bv16lspquan.c \
	broadvoice/src/floating/bv16/bv16plc.c \
	broadvoice/src/floating/bv16/bv16ptdec.c \
	broadvoice/src/floating/bv16/bv16postfilter.c \
	broadvoice/src/floating/bv16/bv16ptquan.c \
	broadvoice/src/floating/bv16/bv16tables.c \
	broadvoice/src/bitpack32.c \
	broadvoice/src/floating/bv32/bv32decoder.c \
	broadvoice/src/floating/bv32/bv32encoder.c \
	broadvoice/src/floating/bv32/bv32coarse_pitch.c \
	broadvoice/src/floating/bv32/bv32excdec.c \
	broadvoice/src/floating/bv32/bv32excquan.c \
	broadvoice/src/floating/bv32/bv32fine_pitch.c \
	broadvoice/src/floating/bv32/bv32gaindec.c \
	broadvoice/src/floating/bv32/bv32gainquan.c \
	broadvoice/src/floating/bv32/bv32levelest.c \
	broadvoice/src/floating/bv32/bv32lspdec.c \
	broadvoice/src/floating/bv32/bv32lspquan.c \
	broadvoice/src/floating/bv32/bv32plc.c \
	broadvoice/src/floating/bv32/bv32ptdec.c \
	broadvoice/src/floating/bv32/bv32ptquan.c \
	broadvoice/src/floating/bv32/bv32tables.c

LOCAL_COPY_HEADERS_TO := broadvoice
LOCAL_COPY_HEADERS := \
	broadvoice/src/broadvoice/broadvoice.h

include $(BUILD_SHARED_LIBRARY)
###################################################################
include $(CLEAR_VARS)

LOCAL_MODULE := libndadpcm
LOCAL_MODULE_TAGS := optional
LOCAL_PROPRIETARY_MODULE := true
LOCAL_MODULE_OWNER := mtk
LOCAL_MODULE_CLASS := SHARED_LIBRARIES

LOCAL_CFLAGS += \
	-fvisibility=hidden

LOCAL_SRC_FILES := \
	ndadpcm/libadpcm.c \
	ndadpcm/dvi_adpcm.c \

LOCAL_COPY_HEADERS := \
	ndadpcm/adpcm.h

include $(BUILD_SHARED_LIBRARY)
###################################################################
include $(CLEAR_VARS)

LOCAL_MODULE := libndvoice
LOCAL_MODULE_TAGS := optional
LOCAL_PROPRIETARY_MODULE := true
LOCAL_MODULE_OWNER := mtk
LOCAL_MODULE_CLASS := SHARED_LIBRARIES

LOCAL_SHARED_LIBRARIES := \
	libbroadvoice \
	libndadpcm \
	libcutils \
	libopus \
	liblog

OPUS_DIR         := external/libopus
LOCAL_C_INCLUDES := \
	$(LOCAL_PATH)/include \
        $(LOCAL_PATH)/src/SonyBtRcDet \
	external/libopus/include

LOCAL_CFLAGS += \
	-fvisibility=hidden

LOCAL_SRC_FILES := \
	src/libndvoice.c \
	src/bv32_decoder.c \
	src/adpcm_decoder.c \
	src/adpcm_upsampled_decoder.c \
	src/opus_decoder.c \
	src/hidraw.c \
	src/upsampler/upsampler_v1.c \
        src/SonyBtRcDet/SonyBtRcDet.c

LOCAL_COPY_HEADERS := \
	include/libndvoice.h

include $(BUILD_SHARED_LIBRARY)
###################################################################
include $(CLEAR_VARS)

LOCAL_MODULE:= nvs-cat
LOCAL_PROPRIETARY_MODULE := true
LOCAL_MODULE_OWNER := mtk 
LOCAL_MODULE_CLASS := EXECUTABLES
LOCAL_SHARED_LIBRARIES := libndvoice
LOCAL_C_INCLUDES := \
	inlcude
LOCAL_SRC_FILES := \
	tools/nvs-cat.c

include $(BUILD_EXECUTABLE)
