/****************************
 File name: SonyBtRcDet.h
 Release date: 2017/02/15
****************************/

#ifndef __SONYBTRCDET_H__
#define __SONYBTRCDET_H__

#include <stdint.h>
/*******
 Struct
*******/
/* structure for the unit about Sony Bluetooth Remote parameters */
typedef struct tab_sonybtrc_param {
    char *dev_name; /* Pointer for gDevice Nameh data array */
    uint16_t vendor;   /* Vendor ID value */
    uint16_t product;  /* Product ID value */
} sonybtrc_param;

/* structure for the table of units about Sony Bluetooth Remote parameters */
typedef struct tab_sonybtrc_param_tbl {
    int num;
    sonybtrc_param *list;
} sonybtrc_param_tbl;

#ifdef SONYBTRCDET_DEF_PRM
/**********************
 Parameters definition
***********************/
/* the unit about Sony Bluetooth Remote parameters */
const sonybtrc_param param_list[] =
{
    /*{"SONY_TV_REMOTE_001", 0x0461, 0x4e5f},*/ /* FY15 Voice Remote(FY18 Model Not Support) */
    /*{"SONY_TV_RC_MIC_001", 0x054c, 0x0b91},*/ /* FY16 Voice Remote(FY18 Model Not Support) */
    {"SONY TV RC MIC 001", 0x054c, 0x0be8}, /* FY17 Voice Remote */
    {"SONY TV RC MIC 001", 0x054c, 0x0c61}  /* FY18 Voice Remote */
};

/* structure for the table of units about Sony Bluetooth Remote parameters */
const sonybtrc_param_tbl param_table =
{
    sizeof(param_list) / sizeof(sonybtrc_param), /* the number of array about param_list[] */
    (sonybtrc_param *)param_list                   /* the pointer of param_list[] */
};
#else /* #ifdef SONYBTRCDET_DEF_PRM */
extern const sonybtrc_param param_list[];
extern const sonybtrc_param_tbl param_table;
#endif /* #ifdef SONYBTRCDET_DEF_PRM */

/*******************
 Function prototype
*******************/
int sonybtrc_is_connected(char *dev_name, int16_t vendor, int16_t product);

#endif /* ifndef __SONYBTRCDET_H__ */
